PackageNameMatchesRegEx Class Reference
Inheritance diagram for PackageNameMatchesRegEx:
[legend]
Collaboration diagram for PackageNameMatchesRegEx:
[legend]

## Public Member Functions

| PackageNameMatchesRegEx (std::string const &Pattern)
bool | operator() (pkgCache::PkgIterator const &Pkg) override
bool | operator() (pkgCache::GrpIterator const &Grp) override
Public Member Functions inherited from PackageMatcher
bool | operator() (pkgCache::VerIterator const &Ver) override

## Member Function Documentation

## operator()() [1/2]

bool operator() | ( | pkgCache::GrpIterator const & | Grp | ) |

override virtual

Reimplemented from PackageMatcher.

## operator()() [2/2]

bool operator() | ( | pkgCache::PkgIterator const & | Pkg | ) |

override virtual

Implements PackageMatcher.

The documentation for this class was generated from the following files:

- apt-pkg/cachefilter.h
- apt-pkg/cachefilter.cc